<?php
session_start();
header("Access-Control-Allow-Origin: *");

if (isset($_SERVER["HTTP_HOST"]) && $_SERVER["HTTP_HOST"] == "localhost") {
    $servername = "localhost";
    $username = "root";
    $password = "";
    $dbname = "intas_db";
} else {
    $servername = "localhost";
    $username = "ehmanager_intasuser";
    $password = "Exicon@2025";
    $dbname = "ehmanager_intasdb";
}

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

date_default_timezone_set('Asia/Calcutta');
$tdate = date("Y-m-d H:i:s");

// Validate input
if (!isset($_POST['name'], $_POST['contact'], $_POST['score'], $_POST['minutes'], $_POST['seconds'])) {
    die("Missing required parameters.");
}

$name = trim(htmlspecialchars($_POST['name']));
$contact = trim(htmlspecialchars($_POST['contact']));
$score = (int) $_POST['score'];
$minutes = (int) $_POST['minutes'];
$seconds = (int) $_POST['seconds'];

// ** Step 1: Check if record already exists **
$query = "SELECT id FROM doctormaster WHERE doctorname = ? AND contact = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("ss", $name, $contact);
$stmt->execute();
$stmt->store_result();

if ($stmt->num_rows > 0) {
    // ** Record exists, update it **
    $stmt->close();
    
    $updateQuery = "UPDATE doctormaster SET score = ?, minutes = ?, seconds = ? WHERE doctorname = ? AND contact = ?";
    $stmt = $conn->prepare($updateQuery);
    $stmt->bind_param("iiiss", $score, $minutes, $seconds, $name, $contact);
    
    if ($stmt->execute()) {
        echo "Record updated successfully.";
    } else {
        echo "Error updating record: " . $stmt->error;
    }
} else {
    // ** Record does not exist, insert new record **
    $stmt->close();
    
    $insertQuery = "INSERT INTO doctormaster (doctorname, contact, score, minutes, seconds) VALUES (?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($insertQuery);
    $stmt->bind_param("ssiii", $name, $contact, $score, $minutes, $seconds);
    
    if ($stmt->execute()) {
        echo "New record inserted successfully.";
    } else {
        echo "Error inserting record: " . $stmt->error;
    }
}

// Close resources
$stmt->close();
$conn->close();
?>
